package com.nto.presentation.composable.cards

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.nto.presentation.theme.NTOTheme

@Composable
fun VisitCard(modifier: Modifier = Modifier) {
    Row(
        modifier = modifier
            .width(365.dp)
            .height(70.dp)
            .clip(RoundedCornerShape(10.dp))
            .background(NTOTheme.colors.inputFieldBackground)
    ) {
        Row(
            modifier = Modifier
                .fillMaxWidth()
                .padding(start = 15.dp, end = 15.dp),
            horizontalArrangement = Arrangement.SpaceBetween
        ) {
            Column {
                Text("")
                Spacer(modifier = Modifier.height(15.dp))
            }
            Column {  }
        }
    }
}

@Preview
@Composable
private fun VisitCardPreview() {
    NTOTheme {
        VisitCard()
    }
}